安装帝国CMS 7.5报错Deprecated: Function get_magic_quotes_gpc()

摘要: 在对帝国CMS进行升级之后,会出现类似的错误,如下代码所示:Deprecated: Function get_magic_quotes_gpc() is deprecated in /www/wwwroot/www.glgxt.cn/e/class/connect.php on line 9这是因为你现在的PHP版本太高 ...

在对帝国CMS进行升级之后,会出现类似的错误,如下代码所示:

Deprecated: Function get_magic_quotes_gpc() is deprecated in /www/wwwroot/www.glgxt.cn/e/class/connect.php on line 9

这是因为你现在的PHP版本太高了,当然,帝国CMS7.5在最初升级的时候是支持PHP7的,但那个时候PHP也就到了7这个版本,PHP7之后的版本又有较大的变化,所以出现了部分不兼容的情况,但都是小问题,跟我操作吧:

进入到帝国的根目录,然后找到e目录

然后再进入到class目录

找到connect.php文件,用编辑器打开它

Ctrl + F高亮找到define('MAGIC_QUOTES_GPC'如图所示的语句

将这行代码,注意是这行代码替换为下面这行代码

define('MAGIC_QUOTES_GPC',ini_set("magic_quotes_runtime",0)?True:False);

如图所示

保存之后,就可以正常使用了。

相关阅读